Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 256177 - Stabilise Nagios-3 et al.
Summary: Stabilise Nagios-3 et al.
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: New packages (show other bugs)
Hardware: All Linux
: High normal (vote)
Assignee: Tobias Scherbaum (RETIRED)
URL:
Whiteboard:
Keywords: STABLEREQ
Depends on:
Blocks:
 
Reported: 2009-01-24 09:37 UTC by Tobias Scherbaum (RETIRED)
Modified: 2009-05-04 16:54 UTC (History)
4 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Tobias Scherbaum (RETIRED) gentoo-dev 2009-01-24 09:37:53 UTC
Please do stabilise the following packages (some of them aren't keyworded for all architectures, just skip them in that case). Besides the bump from Nagios-2 to -3 the most notable change is a changed (and more FHS-compliant) directory structure, therefore all packages should be stabilised the same time. I also added architectures not having stable keywords for Nagios-2 for now, if you want to jump in for Nagios-3 please do so - if not feel free to un-CC from this bug. Thanks!

=net-analyzer/nagios-3.0.6
=net-analyzer/nagios-check_logfiles-2.3.2.1-r1
=net-analyzer/nagios-core-3.0.6-r1
=net-analyzer/nagios-imagepack-1.0-r100
=net-analyzer/nagios-nrpe-2.12-r102
=net-analyzer/nagios-nsca-2.7.2-r100
=net-analyzer/nagios-plugins-1.4.13-r1
=net-analyzer/nagios-plugins-snmp-0.6.0-r1
=net-analyzer/nagios-sap-ccms-plugin-0.7.3-r1
=net-analyzer/pnp4nagios-0.4.12
Comment 1 Caleb Tennis (RETIRED) gentoo-dev 2009-01-24 12:38:33 UTC
This is fantastic, thanks Tobias.
Comment 2 Brent Baude (RETIRED) gentoo-dev 2009-01-26 19:54:01 UTC
I kw'd for ppc64.

=net-analyzer/nagios-sap-ccms-plugin-0.7.3-r1 fails to compile with:


>>> Compiling source in /var/tmp/portage/net-analyzer/nagios-sap-ccms-plugin-0.7.3-r1/work/sap-ccms-plugin-0.7.3 ...
make -j6 
gcc -O2 -pipe -fPIC -I./sap_moni -c agnt_util.c
gcc -O2 -pipe -fPIC -I./sap_moni -c check_sap.c
make -C sap_moni
make[1]: Entering directory `/var/tmp/portage/net-analyzer/nagios-sap-ccms-plugin-0.7.3-r1/work/sap-ccms-plugin-0.7.3/src/sap_moni'
gcc -O2 -pipe -fPIC -g -c ctype_b.c
gcc -O2 -pipe -fPIC -I./sap_moni -c check_sap_system.c
gcc -O2 -pipe -fPIC -g -c agnt_rfc.c
gcc -O2 -pipe -fPIC -I./sap_moni -c check_sap_instance.c
gcc -O2 -pipe -fPIC -I./sap_moni -c check_sap_multiple.c
gcc -O2 -pipe -fPIC -g -c agnt_mon.c
gcc -O2 -pipe -fPIC -I./sap_moni -c check_sap_mult_no_thr.c
gcc -O2 -pipe -fPIC -I./sap_moni -c check_sap_cons.c
gcc -O2 -pipe -fPIC -g -c iniparser.c
gcc -O2 -pipe -fPIC -I./sap_moni -c check_sap_system_cons.c
gcc -O2 -pipe -fPIC -g -c dictionary.c
gcc -O2 -pipe -fPIC -I./sap_moni -c check_sap_instance_cons.c
gcc -O2 -pipe -fPIC -I./sap_moni -c sap_change_thr.c
sap_change_thr.c: In function 'main':
sap_change_thr.c:58: warning: cast to pointer from integer of different size
gcc -O2 -pipe -fPIC -g -c strlib.c
gcc -O2 -pipe -fPIC -I./sap_moni -c create_cfg.c
gcc -shared -O2 -pipe -fPIC -g -o sap_moni.so  ctype_b.o agnt_rfc.o agnt_mon.o iniparser.o dictionary.o strlib.o librfc.a  -ldl -lm
/usr/lib/gcc/powerpc64-unknown-linux-gnu/4.1.2/../../../../powerpc64-unknown-linux-gnu/bin/ld: librfc.a(rfcilib.o): Relocations in generic ELF (EM: 3)
/usr/lib/gcc/powerpc64-unknown-linux-gnu/4.1.2/../../../../powerpc64-unknown-linux-gnu/bin/ld: librfc.a(rfcilib.o): Relocations in generic ELF (EM: 3)
/usr/lib/gcc/powerpc64-unknown-linux-gnu/4.1.2/../../../../powerpc64-unknown-linux-gnu/bin/ld: librfc.a(rfcilib.o): Relocations in generic ELF (EM: 3)
/usr/lib/gcc/powerpc64-unknown-linux-gnu/4.1.2/../../../../powerpc64-unknown-linux-gnu/bin/ld: librfc.a(rfcilib.o): Relocations in generic ELF (EM: 3)
librfc.a: could not read symbols: File in wrong format
collect2: ld returned 1 exit status
make[1]: *** [shared] Error 1
make[1]: Leaving directory `/var/tmp/portage/net-analyzer/nagios-sap-ccms-plugin-0.7.3-r1/work/sap-ccms-plugin-0.7.3/src/sap_moni'
make: *** [sap_moni] Error 2


Thoughts... I see that sap moni has a reference about ldpath in the readme.
Comment 3 Tobias Klausmann gentoo-dev 2009-02-01 16:51:20 UTC
=net-analyzer/nagios-3.0.6
Stabilized:
=net-analyzer/nagios-core-3.0.6-r1
=net-analyzer/nagios-imagepack-1.0-r100
=net-analyzer/nagios-nrpe-2.12-r102
=net-analyzer/nagios-nsca-2.7.2-r100
=net-analyzer/nagios-plugins-1.4.13-r1

Keyworded:
=net-analyzer/nagios-check_logfiles-2.3.2.1-r1

Skipped (no keywords):
=net-analyzer/nagios-plugins-snmp-0.6.0-r1
=net-analyzer/nagios-sap-ccms-plugin-0.7.3-r1
=net-analyzer/pnp4nagios-0.4.12

I'm not entirely sure about the snmp package. We might elevate it to keyworded if you think it's a common package to install. The SAP thingy I can't test (good riddance) and the pnp4nagios package I've never seen in use. What's your call on those? If you're happy the way it is, just remove our CC :)

I also masked the ups and nagios-games use flags on nagios-plugins for alpha, since they need unkeyworded apps (nut and qstat). 
Comment 4 Tobias Scherbaum (RETIRED) gentoo-dev 2009-02-01 17:20:14 UTC
(In reply to comment #3)
> =net-analyzer/nagios-3.0.6
> Stabilized:
> =net-analyzer/nagios-core-3.0.6-r1
> =net-analyzer/nagios-imagepack-1.0-r100
> =net-analyzer/nagios-nrpe-2.12-r102
> =net-analyzer/nagios-nsca-2.7.2-r100
> =net-analyzer/nagios-plugins-1.4.13-r1
> 
> Keyworded:
> =net-analyzer/nagios-check_logfiles-2.3.2.1-r1
> 
> Skipped (no keywords):
> =net-analyzer/nagios-plugins-snmp-0.6.0-r1
> =net-analyzer/nagios-sap-ccms-plugin-0.7.3-r1
> =net-analyzer/pnp4nagios-0.4.12

Thanks! :)

> I'm not entirely sure about the snmp package. We might elevate it to keyworded
> if you think it's a common package to install.

Hrm, no ... it's ok to skip unless a user really request this keyword to be set.

> The SAP thingy I can't test
> (good riddance)

hehe, the SAP thingy iirc is x86 only (didn't work for me on amd64, too), i don't use it - it's good to skip it (same goes for ppc64 here, it's ok to skip it :))

> and the pnp4nagios package I've never seen in use. What's your
> call on those? If you're happy the way it is, just remove our CC :)

You should take a look at pnp4nagios - it's very simpel to setup and produces nice rrd charts. pnp4nagios > nagiosgrapher ;) (v1, i hadn't had time to look at v2 yet)

If you don't want to keyword pnp4nagios remove yourself from CC, otherwise do it (tm) and un'CC then ;)
Comment 5 Tobias Klausmann gentoo-dev 2009-02-01 17:27:31 UTC
I'll skip it for now. I'll take a look at it at work (yes, nagiosgrapher sucks big time) and then maybe stabilize it n alpha, too.
Comment 6 Markus Meier gentoo-dev 2009-02-02 19:53:09 UTC
 * You are upgrading from an incompatible version.
 * Please be advised that installation paths have changed to a more FHS
 * compliant structure and you won't be able to easily upgrade to
 * Nagios 3 therefore. You will have to change your configuration
 * to reflect this change, for example Nagios plugins are now installed
/usr/portage/net-analyzer/nagios/nagios-3.0.6.ebuild: line 33: get_libdir: command not found
 * into /usr//nagios/plugins/ instead of /usr/nagios/libexec.

tobi tobi tobi... you owe me a beer in april!
Comment 7 Tobias Scherbaum (RETIRED) gentoo-dev 2009-02-02 20:04:20 UTC
(In reply to comment #6)
>  * You are upgrading from an incompatible version.
>  * Please be advised that installation paths have changed to a more FHS
>  * compliant structure and you won't be able to easily upgrade to
>  * Nagios 3 therefore. You will have to change your configuration
>  * to reflect this change, for example Nagios plugins are now installed
> /usr/portage/net-analyzer/nagios/nagios-3.0.6.ebuild: line 33: get_libdir:
> command not found
>  * into /usr//nagios/plugins/ instead of /usr/nagios/libexec.

fixed *cough*

> tobi tobi tobi... you owe me a beer in april!

you'll get your beer :) (hey, the freebeer is free beer :P)
Comment 8 Jeroen Roovers gentoo-dev 2009-02-06 04:15:58 UTC
Stable for HPPA:
 net-analyzer/nagios-nrpe-2.12-r102
 net-analyzer/nagios-plugins-1.4.13-r1
Comment 9 Brent Baude (RETIRED) gentoo-dev 2009-03-04 16:54:47 UTC
ok, so in the interests of removing ppc64 from this bug, all done with the exception of =net-analyzer/nagios-sap-ccms-plugin-0.7.3-r1 and will pass on that one.  will update security related bug with reference to this one and being done.
Comment 10 Ferris McCormick (RETIRED) gentoo-dev 2009-03-04 21:19:02 UTC
Sparc stable for:
=================
nagios-core-3.0.6-r1
nagios-plugins-1.4.13-r1
nagios-imagepack-1.0-r100
nagios-3.0.6
nagios-nrpe-2.12-r102
nagios-nsca-2.7.2-r100

Keyword ~sparc for:
==================
nagios-check_logfiles-2.3.2.1-r1
nagios-plugins-snmp-0.6.0-r1
pnp4nagios-0.4.{12,13}


Not keyworded
==============
nagios-sap-ccms-plugin

I think this is everything; CC myself in case I left something out.
Comment 11 Markus Meier gentoo-dev 2009-03-07 09:54:39 UTC
>>> Install nagios-nsca-2.7.2-r100 into /var/tmp/portage/net-analyzer/nagios-nsca-2.7.2-r100/image/ category net-analyzer
chown: cannot access `/var/tmp/portage/net-analyzer/nagios-nsca-2.7.2-r100/image//usr/nagios/bin/nsca': No such file or directory

should be
  fowners nagios:nagios /usr/bin/nsca
instead of
  fowners nagios:nagios /usr/nagios/bin/nsca
Comment 12 Tobias Scherbaum (RETIRED) gentoo-dev 2009-03-07 11:02:01 UTC
(In reply to comment #11)
> should be
>   fowners nagios:nagios /usr/bin/nsca
> instead of
>   fowners nagios:nagios /usr/nagios/bin/nsca

Feel free to fix this *sigh*


Comment 13 Markus Meier gentoo-dev 2009-03-07 14:42:15 UTC
amd64/x86 stable
Comment 14 Raúl Porcel (RETIRED) gentoo-dev 2009-03-07 14:45:05 UTC
no ia64 keywords as far as i can see, plz readd if i'm wrong
Comment 15 Wolfram Schlich (RETIRED) gentoo-dev 2009-03-10 10:09:09 UTC
net-analyzer/nagios-plugins is missing an "inherit multilib"
(at least on non-multilib profiles I guess)!!!

on x86, this results in all perl check plugins using an invalid
include path:

use lib  "nagios/plugins";

when one tries to run them perl spits out this:

Can't locate utils.pm in @INC (@INC contains: nagios/plugins /etc/perl /usr/lib/perl5/vendor_perl/5.8.8/i686-linux /usr/lib/perl5/vendor_perl/5.8.8 /usr/lib/perl5/vendor_perl /usr/lib/perl5/site_perl/5.8.8/i686-linux /usr/lib/perl5/site_perl/5.8.8 /usr/lib/perl5/site_perl /usr/lib/perl5/5.8.8/i686-linux /usr/lib/perl5/5.8.8 /usr/local/lib/site_perl .) at /usr/lib/nagios/plugins/check_mailq line 36.

adding "inherit multilib" solved the problem, all plugins
now have

use lib "/usr/lib/nagios/plugins" ;

to sum it up, the recently stabled nagios-plugins is _broken_.
Comment 16 Tobias Scherbaum (RETIRED) gentoo-dev 2009-03-10 17:04:00 UTC
(In reply to comment #15)
> net-analyzer/nagios-plugins is missing an "inherit multilib"
> (at least on non-multilib profiles I guess)!!!

the ebuild inherits eutils which inherits multilib, if get_libdir() wouldn't be available the complete installation would be borked, as get_libdir() is used to determine if installation should go into /usr/lib or /usr/lib64.

> on x86, this results in all perl check plugins using an invalid
> include path:
> 
> use lib  "nagios/plugins";
> 
> when one tries to run them perl spits out this:
> 
> Can't locate utils.pm in @INC (@INC contains: nagios/plugins /etc/perl
> /usr/lib/perl5/vendor_perl/5.8.8/i686-linux /usr/lib/perl5/vendor_perl/5.8.8
> /usr/lib/perl5/vendor_perl /usr/lib/perl5/site_perl/5.8.8/i686-linux
> /usr/lib/perl5/site_perl/5.8.8 /usr/lib/perl5/site_perl
> /usr/lib/perl5/5.8.8/i686-linux /usr/lib/perl5/5.8.8 /usr/local/lib/site_perl
> .) at /usr/lib/nagios/plugins/check_mailq line 36.

*nagios-plugins-1.4.13-r2 (18 Feb 2009)

  18 Feb 2009; Tobias Scherbaum <dertobi123@gentoo.org>
  +nagios-plugins-1.4.13-r2.ebuild:
  Revbump, fix pluginpath for contrib/ plugins. #259468

Please test and report back - if there's still a problem with -r2 please file a new bug.
Comment 17 Wolfram Schlich (RETIRED) gentoo-dev 2009-03-10 21:00:45 UTC
(In reply to comment #16)
> (In reply to comment #15)
> > net-analyzer/nagios-plugins is missing an "inherit multilib"
> > (at least on non-multilib profiles I guess)!!!
> 
> the ebuild inherits eutils which inherits multilib, if get_libdir() wouldn't be
> available the complete installation would be borked, as get_libdir() is used to
> determine if installation should go into /usr/lib or /usr/lib64.

> *nagios-plugins-1.4.13-r2 (18 Feb 2009)
> 
>   18 Feb 2009; Tobias Scherbaum <dertobi123@gentoo.org>
>   +nagios-plugins-1.4.13-r2.ebuild:
>   Revbump, fix pluginpath for contrib/ plugins. #259468
> 
> Please test and report back - if there's still a problem with -r2 please file a
> new bug.

I see :) I was a bit in a hurry when looking after it.
I just added 'multilib' to 'inherit' of -r2 and tried
that one and it worked.
Seems the -r2 fix was not only for contrib plugins, but
for others as well.
Comment 18 Brent Baude (RETIRED) gentoo-dev 2009-03-18 22:21:56 UTC
ppc done
Comment 19 Alejandro Muñiz 2009-03-21 04:54:31 UTC
Segfault while /etc/init.d/nagios start if nagios-core is compiled with USE=perl

It works okay without that USE flag
Comment 20 Tobias Scherbaum (RETIRED) gentoo-dev 2009-03-21 07:14:36 UTC
(In reply to comment #19)
> Segfault while /etc/init.d/nagios start if nagios-core is compiled with
> USE=perl
> 
> It works okay without that USE flag
> 

file a new bug please and provide a little bit more information like 'emerge --info' and so on ...
Comment 21 Chris Gianelloni 2009-03-31 17:20:37 UTC
BTW, nagios-plugins-snmp should be 0.6.0, the 0.6.0-r1 ebuild is for Nagios 2.x...
Comment 22 Tobias Scherbaum (RETIRED) gentoo-dev 2009-03-31 18:03:18 UTC
(In reply to comment #21)
> BTW, nagios-plugins-snmp should be 0.6.0, the 0.6.0-r1 ebuild is for Nagios
> 2.x...
> 

Adding arches, please do

=net-analyzer/nagios-plugins-snmp-0.6.0 as well.
Comment 23 Markus Meier gentoo-dev 2009-04-04 14:12:35 UTC
amd64/x86 stable
Comment 24 Brent Baude (RETIRED) gentoo-dev 2009-04-15 19:50:52 UTC
~ppc64 done